Create Access Token

View as MarkdownOpen in Claude
Generate OAuth 2.0 access tokens based on request parameters.

Request

This endpoint expects an object.
scopestringOptional
clientIdstringOptional
clientAuthenticationMethodenumOptional
clientSecretstringOptional
clientAssertionstringOptional
clientAssertionTypestringOptional

Response

Returns a token response.
access_tokenstringOptional
The serialized access token
refresh_tokenstringOptional
The serialized refresh token if applicable
id_tokenstringOptional
The serialized ID token if applicable
token_typestringOptional

The token type (e.g., Bearer)

scopestringOptional

The space-delimited list of granted scopes

expires_inlongOptional
The number of seconds from now until the access token expires

Errors

400
Bad Request Error
500
Internal Server Error